## GdaVproviderDataModel

GdaVproviderDataModel — Virtual provider for connections based on a list of GdaDataModel

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaVirtualProvider * | gda_vprovider_data_model_new ()

## Types and Values

struct | GdaVproviderDataModel

## Object Hierarchy

        GObject
        ╰── GdaServerProvider
            ╰── GdaSqliteProvider
                ╰── GdaVirtualProvider
                    ╰── GdaVproviderDataModel
                        ╰── GdaVproviderHub

## Description

This provider is used to create virtual connections in which each GdaDataModel data model can be added as a table in the connection. Using `gda_virtual_connection_open()` with this provider as argument will generate a GdaVconnectionDataModel connection object, from which data models can be added.

## Functions

### gda_vprovider_data_model_new ()

    GdaVirtualProvider *
    gda_vprovider_data_model_new (void);

Creates a new GdaVirtualProvider object which allows one to add and remove GdaDataModel objects as tables within a connection

#### Returns

a new GdaVirtualProvider object.

## Types and Values

### struct GdaVproviderDataModel

    struct GdaVproviderDataModel;

## See Also

See also the introduction to virtual connections